Package org.gradle.nativeplatform.test.googletest

# Interface GoogleTestTestSuiteSpec

All Superinterfaces:
  `ComponentSpec`, `GeneralComponentSpec`, `ModelElement`, `Named`, `NativeComponentSpec`, `NativeTestSuiteSpec`, `SourceComponentSpec`, `TestSuiteSpec`, `VariantComponent`, `VariantComponentSpec`

@Incubating public interface GoogleTestTestSuiteSpec extends NativeTestSuiteSpec
Test suite of Google Test tests.

## Nested Class Summary

## Nested classes/interfaces inherited from interface org.gradle.api.Named

`Named.Namer`

## Method Summary

### Methods inherited from interface org.gradle.platform.base.ComponentSpec

`getProjectPath`

### Methods inherited from interface org.gradle.model.ModelElement

`getDisplayName`

### Methods inherited from interface org.gradle.nativeplatform.NativeComponentSpec

`getBaseName, setBaseName`

### Methods inherited from interface org.gradle.nativeplatform.test.NativeTestSuiteSpec

`getTestedComponent`

### Methods inherited from interface org.gradle.platform.base.SourceComponentSpec

`getSources`

### Methods inherited from interface org.gradle.testing.base.TestSuiteSpec

`setTestedComponent, testing`

### Methods inherited from interface org.gradle.platform.base.VariantComponent

`getName, getVariants`

### Methods inherited from interface org.gradle.platform.base.VariantComponentSpec

`getBinaries`